RDS/Postgres 14.4上postgres_fdw扩展不可用

0

【以下的问题经过翻译处理】 我们有一个 RDS postgresql 14.4 实例。我们想要使用postgres_fdw扩展,根据AWS文档(https://docs.amazonaws.cn/en_us/AmazonRDS/latest/PostgreSQLReleaseNotes/postgresql-extensions.html#postgresql-extensions-14x),RDS支持该扩展。

但是,“CREATE EXTENSION postgres_fdw”返回以下错误: SQL Error [42501]: ERROR: permission denied to create extension "postgres_fdw" Hint: This extension is not specified in "rds.allowed_extensions".

怎么回事?我们该如何使用该扩展?

profile picture
专家
已提问 7 个月前38 查看次数
1 回答
0

【以下的回答经过翻译处理】 我们最终解决了这个问题。不知道为什么,该实例参数组中的动态参数"allowed_extensions"被设置为NULL,而不是'*'。

更改了这个参数后,我们可以使用该扩展。

profile picture
专家
已回答 7 个月前

您未登录。 登录 发布回答。

一个好的回答可以清楚地解答问题和提供建设性反馈,并能促进提问者的职业发展。

回答问题的准则